Blame SOURCES/0227-console-notifications-add-timeout.patch

a60cd7
From 83831bb2af42219682e3e1d4adbd350e634bd07e Mon Sep 17 00:00:00 2001
a60cd7
From: Jakub Filak <jfilak@redhat.com>
a60cd7
Date: Tue, 20 Jan 2015 15:12:05 +0100
a60cd7
Subject: [PATCH] console-notifications: add timeout
a60cd7
a60cd7
Related to #898
a60cd7
Resolves rhbz#1249101
a60cd7
a60cd7
Signed-off-by: Jakub Filak <jfilak@redhat.com>
a60cd7
---
a60cd7
 src/cli/abrt-console-notification.sh | 2 +-
a60cd7
 1 file changed, 1 insertion(+), 1 deletion(-)
a60cd7
a60cd7
diff --git a/src/cli/abrt-console-notification.sh b/src/cli/abrt-console-notification.sh
a60cd7
index 976dfc3..a98f164 100755
a60cd7
--- a/src/cli/abrt-console-notification.sh
a60cd7
+++ b/src/cli/abrt-console-notification.sh
a60cd7
@@ -39,4 +39,4 @@ if [ -f "$TMPPATH" ]; then
a60cd7
     mv -f "$TMPPATH" "$SINCEFILE" >"$ABRT_DEBUG_LOG" 2>&1
a60cd7
 fi
a60cd7
 
a60cd7
-abrt-cli status --since="$SINCE" 2>"$ABRT_DEBUG_LOG"
a60cd7
+timeout 10s abrt-cli status --since="$SINCE" 2>"$ABRT_DEBUG_LOG" || echo "'abrt-cli status' timed out"
a60cd7
-- 
a60cd7
1.8.3.1
a60cd7